commit a504b15fc74f7725f67866e22407b742d1d435a9
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri May 18 12:49:30 2018 -0400

    mach64 6.9.6
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit eab6848f85d26c824f8096949105bf4894a1d48d
Author: Emil Velikov <emil.velikov@collabora.com>
Date:   Mon Jul 17 13:44:55 2017 +0100

    xf86-video-mach64: remove the GlxSetVisualConfigs stub and friends
    
    The function was an empty since 2008 at least. Remove it alongside the
    unused GLX visuals code.
    
    With this all the GL/GLX dependencies in the driver are gone.
    
    Cc: Adam Jackson <ajax@redhat.com>
    Cc: Connor Behan <connor.behan@gmail.com>
    Signed-off-by: Emil Velikov <emil.velikov@collabora.com>

commit 5ae03dc9f4564de54df6427ed7e6e80e75a4179e
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Feb 16 11:18:10 2017 -0500

    D'oh, fix the previous commit
    
    These limits are against mode->[HV]Total, not Display.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit e27785a3fbabc9f354c361b5058b0359b6d9b5ae
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Feb 16 11:13:59 2017 -0500

    Move max mode h/v checks into ATIValidMode
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit dec6d18b61a1f8841303572ae5931fe6c937664f
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:22 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit e67dab498fc7b6b4c73b5c33c550ecfcb814b4b1
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2707a8ea311a2d40e0db8161225241bc360ab61d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 811890e401299f5a80e237fbaa216c9242654119
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 21:03:14 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit de20547a7c31cf576d9b5b9ac607a1bde93542b8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 21:03:13 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8f920350a736012ce2a7469d8252f5f5bf72cef3
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon May 4 15:50:09 2015 -0400

    mach64 6.9.5
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 810572536e153ac9e4615a35e2ab99dc266806da
Author: Dave Airlie <airlied@redhat.com>
Date:   Sat Nov 15 11:29:54 2014 +1000

    mach64: fix build probably not required with pci access anyways

commit e538ff6b2108117a7ae6644a844c6ce10fc0f1ee
Author: Connor Behan <connor.behan@gmail.com>
Date:   Wed Nov 27 23:53:31 2013 -0800

    Drop dependence on xf86PciInfo.h
    
    It is about time we stop using this deprecated file and include pciids
    locally.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit 2c83b465b336a012f2d2716940bf483358388000
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Mon Jun 3 13:01:23 2013 -0400

    Deal with pPict->pDrawable == NULL for source-only pictures.
    
    Falling back to software rendering for such source pictures
    (solid/gradient).
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit ec6ee6a112dc38cab563779583944dba9393f385
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Apr 3 09:14:54 2013 -0400

    Bump minimum xserver to 1.4
    
    Due to the previous change we no longer support servers where ddc is not
    a server builtin.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit fa18180cc5f6d84168ffca6b7b8e467a5c72da14
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Apr 2 11:15:47 2013 -0400

    preinit: Don't bother explicitly loading int10, vbe will do it for us
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 80e62cc1dfb80c3170e43c3941b56d0a84bddc3b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Dec 19 22:37:07 2012 -0800

    Remove unused atiaudio.c & ATIAudioNames declaration
    
    Defined a string array, which is not used anywhere.
    
    atiaudio.h remains for now, though for the enum it defines, only one
    reference to it remains, initializing the Audio to ATI_AUDIO_NONE, so
    it may be a candidate for further cleanup in the future.
    
    Reported by Solaris linker -z guidance option:
    ld: guidance: removal of unused file recommended: atiaudio.o
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 233270a78d41d9df5614e17d73c8c4add391459b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Dec 19 22:33:48 2012 -0800

    Remove unused atidecoder.c & atidecoder.h
    
    Defined a enum & string array, neither of which were used anywhere.
    
    Reported by Solaris linker -z guidance option:
    ld: guidance: removal of unused file recommended: atidecoder.o
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit 0d8639f3cd4128ae856ae27f3787c1da224bb564
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Dec 19 22:14:08 2012 -0800

    xf86-video-mach64 6.9.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f694490b3cec78d7b17eeb0a9c4daadd1028776a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 18 15:42:30 2012 -0800

    Remove call to obsolete miInitializeBackingStore()
    
    Definition was deleted from Xorg during 1.14 merge window, but has
    been a no-op since 1.10 merge window.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit ece8d3557eb1ffb27104bffb7841503aae4dcd6f
Author: Connor Behan <connor.behan@gmail.com>
Date:   Fri Dec 7 13:53:38 2012 -0800

    Remove dummy UTS / DFS hooks
    
    When EXA was added to mach64, it included UploadToScreen and
    DownloadFromScreen hooks that did the same thing that EXA would do in a
    software fallback. Now they are out of date and cause crashes. The
    slight benefit of reimplementing those hooks (if there is any) is not
    worth the maintenance burden of having to rewrite them every time there
    is a change to the way EXA handles pixmaps.
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=51137
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f0d44c18d71e7450b99189c1221a2f89c7817ab6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 6 16:49:12 2012 -0800

    Mach64PixelARGB should use exaGetPixmapFirstPixel
    
    Fixes crash attempting to read a pixel from a NULL pPixmap->devPrivate.ptr
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Michel Dänzer <michel@daenzer.net>

commit 42c4e423eec789606eec9703be23a9fd4483a14a
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Oct 2 10:19:47 2012 -0400

    Fix build with neither XAA nor EXA against xserver 1.13.0
    
    Pull in picturestr.h to get GLYPH_HAS_GLYPH_PICTURE_ACCESSOR defined
    before compat-api.h is parsed, otherwise you fail with:
    
    In file included from /usr/include/xorg/picturestr.h:28:0,
                     from /usr/include/xorg/exa.h:38,
                     from atimach64accel.h:31,
                     from atiscreen.c:46:
    /usr/include/xorg/glyphstr.h:138:2: error: expected ')' before '*' token
    /usr/include/xorg/glyphstr.h:138:2: error: expected ')' before '(' token
    /usr/include/xorg/glyphstr.h:140:2: error: expected ')' before '*' token
    /usr/include/xorg/glyphstr.h:140:2: error: expected ')' before '(' token
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 104e3e067a7dcac143cb672fe42d56396ba6087b
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Sep 26 16:21:25 2012 -0400

    Don't gratuitously disable Render when ShadowFBing
    
    There's no reason to do this, and I am at a loss to explain why that was
    ever done.  The first instance of this logic comes from xfree86 (over 11
    years ago!):
    
    http://cvsweb.xfree86.org/cvsweb/xc/programs/Xserver/hw/xfree86/drivers/ati/atiscreen.c.diff?r1=1.15&r2=1.16
    
    Now, cfb never had Render support, so that might make some sense if
    there was an intermediate uncommitted state where the driver used fb for
    direct but cfb for shadowed.  But that's really the only plausible
    explanation I can think of.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 5eb7fec958bc6ba8a1a2b0be4916cac818866e1c
Author: Dave Airlie <airlied@gmail.com>
Date:   Wed Jul 18 18:46:49 2012 +1000

    mach64: fix build on 32-bit.
    
    tvout code only builds on 32-bit, fix build.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 2776fc9cd69f18ba6f09f39ca747f3a9333bf9e4
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 16:05:09 2012 +1000

    xf86-video-mach64: bump to version 6.9.3
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit a2213da6d87baa8b5f49d3894513ced2c6974259
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 16 04:29:53 2012 +0100

    mach64: fix build against server without XAA
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 3fce61b475355820f735e50b7070ee6fc906083d
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 2 12:23:03 2012 +0100

    mach64: bump to 6.9.2
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 68572c1e41cf6de2f0ef2c9442111384ce863308
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jun 6 10:42:26 2012 +0100

    ati: only include deprecated file in one place.
    
    reduces warnings.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit a9f3a66e355b9f19c312d399771fb1d8eb2e046d
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jun 6 10:41:11 2012 +0100

    mach64: port to new compat API.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 84468ba28853fa57170025d9c25cb0029a386ff4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 30 19:02:07 2012 -0700

    Readme updates
    
    Stop saying Radeon & Rage128 are not "yet" supported by this driver,
    since no one is working on reuniting the ATI driver family.
    
    Update URL to check for latest X.Org code releases.
    
    Stop calling it an "XAA" driver now that it also supports EXA.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5e09e744b27b5ada9dd064e250fa98eddf1a58c3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 23 18:56:44 2012 -0700

    xf86-video-mach64 6.9.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fa20f8f2408ac81ff04d81196a56c907fba01c45
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 16:45:25 2011 -0500

    Fall back to shadowfb if XAA is unavailable
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 0de234329fa1c3365954498819da93d64a978911
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 18:53:48 2011 -0700

    Use pci_device_map_legacy rather than xf86MapDomainMemory
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 75166a0fc92220b496eb67451ec1b11cb8b72091
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 18:54:10 2011 -0700

    Use unsigned long rather than deprecated IOADDRESS
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit ef55d1f123972ccc001bf8b41db45d281be35a62
Author: Julien Cristau <jcristau@debian.org>
Date:   Thu Apr 28 17:23:42 2011 +0200

    Bump to 6.9.0
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 39c6d1da8af563afa665d5bb149c9693e24c6eab
Author: Julien Cristau <jcristau@debian.org>
Date:   Thu Apr 28 17:31:52 2011 +0200

    Replace deprecated xalloc/xfree/xrealloc with malloc/free/realloc
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit d60087f0b6dd4d082230312580ae35e14acd0c6e
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Dec 2 19:11:05 2010 +1000

    mach64: fix the pixmap private API change.

commit e7bc106247d9ba10a922936e137a4f5ecc54ef9e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 09:37:17 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1732886624c7590a8084bb7d92e87ff341aa6d66
Author: Mark Kettenis <kettenis@openbsd.org>
Date:   Sun Aug 29 18:07:01 2010 +0200

    Don't play wrapping games
    
    The driver calls the wrapped CloseScreen function in the middle of messing
    with the hardware state.  On multi-card setups this may cause the VGA
    arbiter to switch to a different card while we're in the middle of things,
    with obvious disastrous effects.  This fixes things by making sure we
    only call the wrapped CloseScreen function at the very end of the driver's
    CloseScreen function.
    
    Signed-off-by: Mark Kettenis <kettenis@openbsd.org>

commit 7a1549678a19c6e94e1ecb3223c74effbd5009d2
Author: Mark Kettenis <kettenis@openbsd.org>
Date:   Sun Aug 29 17:54:19 2010 +0200

    Don't attempt to stop video on Mach64's without hardware overlay support
    
    Older Mach64 variants don't have hardware overlay support.  This is handled
    properly when the XVideo adapter is initialized (we bail out early), but
    ATICloseXVideo() unconditionally tries to stop video during screen termination.
    This causes the server to hang on certain multi-card setups.  Fix the issue
    by checking Block1Base before proceeding with stopping video.
    
    Signed-off-by: Mark Kettenis <kettenis@openbsd.org>

commit 88a176df8df09812719eb179b293ce4dc851f2e5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:49:04 2010 -0400

    config: add comments for main statements

commit 18ee3aa1b7a4c9de9cc705cb10e05864d3ab6406
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:07:00 2010 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d061e00d4d09e8fbecc8bad95354551d36197dd4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:37:41 2010 -0400

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 69da993c9bdb8982c650533ca44a34fa2d7589fa
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:05:22 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 37f35b579e9ea1a4b5b50f3ae570e3329664c38e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 09:27:42 2010 -0400

    config: complete AC_INIT m4 quoting
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1cb6b6939e5d466797721a2e59afdd067e769fcc
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:54:11 2010 -0400

    config: remove unrequired AC_SUBST([DRI_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 590d1989f22c38d8db01146b2207d440bc59f285
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:44:57 2010 -0400

    config: remove unrequired AC_SUBST([XORG_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7bf12fb07625bd5503c5de3e5e07bd69c6de54b3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 20:24:42 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3518273c2117c0d8e51efecb2f9184d5f8274ae0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 19:41:31 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 03dd23597e64f440e5530bd8bfbd222b8f825d5a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:19 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d5b5e2bb4139b723df35a422b945d514caf4db2d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 16:15:29 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.

commit 6da9520fe6c482c1d4cb9dd6119c13789ed9715a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Jun 21 10:37:11 2010 -0400

    config: remove optional check for xf86miscproto
    
    This extension is obsolete and is not used by this driver.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1f1e665f7dab55eceb314adb185636b8ee64fbc6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Jun 14 08:43:04 2010 -0400

    README: keep the text version of README, discard the sgml version
    
    The linuxdoc doc tool is deprecated.
    README files are exclusively text files.
    Normalize to one plain text README file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2863c5617ccb4a09a699c43c72d9b496480db102
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Jun 14 08:38:59 2010 -0400

    README: fix linuxdoc content
    
    defs.ent are located under X11 directory
    ident tag is not a Linuxdoc tag
    replace docbook email tag with linuxdoc email tag
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ebfb29a00384ae8070d9f10726c591c0ca92637c
Author: Matt Turner <mattst88@gmail.com>
Date:   Mon Mar 8 10:52:54 2010 -0500

    Don't check for Xinerama.
    
    It doesn't seem to be used anywhere, so don't require it.
    
    CC: Jerome Glisse <jglisse@redhat.com>
    CC: Alex Deucher <alexdeucher@gmail.com>
    CC: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 383903574b9660f9d7831b149f2a9b339a871586
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 15:54:36 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 0059e1e49b1e6861aad801b93ccf846a236a42a7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 21:47:06 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    Acked-by: Daniel Stone <daniel@fooishbar.org>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8f84a92309e62655de69c09affa2e6922cc46aa1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit da3afdb69d426db6423c505f1c4ec10b9cd40304
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit a0b11f322c440ccf13347c42d08ed5e0b208d79c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:09 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 963be32d684b32957d7e646eb19259d7710bf66a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:21 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit 3e54585250d22541a31068b5b8f0c8743dbccce6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:17 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 2013b64cf19fce32edb052ee6d8529d3ce69d409
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jul 30 12:04:28 2009 +1000

    mach64: bump for release 6.8.2

commit 4f08e83e50059df494f5f53cd05eb8809d18656e
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 15:22:40 2009 +1000

    mach64: change to using ABI version check

commit 64960253ea5dcfb01d92b5b684790f16be5b73be
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 13:32:31 2009 +1000

    mach64: update for resources/RAC API removal

commit 965614f27d42106e859000264a6eb89d9fcba67e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 16 11:43:33 2009 +1000

    Update to xextproto 7.1 support.
    
    DPMS header was split into dpms.h (client) and dpmsconst.h (server). Drivers
    need to include dpmsconst.h if xextproto 7.1 is available.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9caef14defaf892d957875f6d774003a036bad45
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 11 22:06:40 2009 -0700

    Fill in COPYING file, add SubmittingPatches URL to README

commit d9d787167795862909738892195fcdc751c413ed
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sun May 10 16:56:02 2009 -0700

    Doublecheck pictFormat is a supported format
    
    Fixes these warnings from parfait source checker:
    
    Error: Read buffer overflow at src/atimach64render.c:601
            in function 'Mach64PrepareTexture' [Symbolic analysis]
           In array dereference of Mach64TexFormats[i] with index 'i'
           Array size is 6 elements (of 12 bytes each), index >= 0 and index <= 6
    Error: Read buffer overflow at src/atimach64render.c:712
            in function 'Mach64PrepareComposite' [Symbolic analysis]
           In array dereference of Mach64TexFormats[i] with index 'i'
           Array size is 6 elements (of 12 bytes each), index >= 0 and index <= 6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 99db87ed49d7eca8de2ff1f7d53b580637ebb916
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Apr 29 17:32:47 2009 -0700

    Version 6.8.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 193744b015e8f2b8c25d90094b7f0b502bc1287b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Apr 29 17:21:53 2009 -0700

    Convert to XORG_CWARNFLAGS & XORG_CHANGELOG
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit d394e0b8269ea0a7d36ee8edb38947df170399c9
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 30 20:41:43 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos

commit cab7a47477e3878cb9f1fdc5b721fc8e3aaadd5b
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Fri Nov 28 01:09:52 2008 -0200

    Remove xf86{Disable,Enable}Interrupts
    
      They were already a noop in most "os-support"s, and are no longer
    available in the X Server.

commit e993728f7ee618d34163c127231881aec1637ca2
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Oct 3 14:31:13 2008 -0400

    Don't print the resource list on failure.
    
    If this ever happens it should be printed from the server at any rate.

commit 46a0254b5a0bffe8c57322b085bcd38f893e4b27
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Sep 9 10:32:48 2008 -0400

    Make sure the screen is a mach64 screen before doing anything in ATIMach64XVInitialiseAdaptor.

commit 89a9ad75f3e50e25275b803617d5e74709ead269
Author: Yi Zhan <yi.zhan@intel.com>
Date:   Wed Mar 26 16:13:08 2008 +1000

    mach64: on IA64 systems the pciaccess page size mapping was getting E2BIG
    
    As the ia64 pagesize was 16k, and aperture was only 4k, this was messing up
    on ia64 machines.
    
    Modified fix from RH BZ 438947 - airlied

commit 6127349c9625ae3b50c40fd3641847be3ca18795
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Wed Mar 19 17:42:23 2008 -0400

    [PATCH] Compile warning fixes.
    
    Add missing prototypes to atimach64accel.h.

commit 56a1c9f07886d40c25baa31b6d02f5ee0efd749a
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 18:49:50 2008 +0200

    add warning message

commit 10127a10841ec211a92b2a59d6db716343caf018
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 18:49:31 2008 +0200

    change module name and version
    
    module gets package version, driver keeps its own version

commit e8260479e8c9f0445d160e991104b3a749035a7b
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 18:49:02 2008 +0200

    drop r128

commit 4d3a3befcfcfff3825ad4de166de2090aa1c9976
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 18:48:44 2008 +0200

    drop r128 (build system)

commit df574b7b486be6b00520c6a87dc3f606b4c5395c
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 18:48:26 2008 +0200

    drop ati wrapper

commit 4d5cc3678ac8d1e8ed18d72d26154494bf1e75e5
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 18:48:10 2008 +0200

    drop AtomBios and pcidb

commit 713a2241495b9a3818c06974838477d9f28fe52b
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 18:47:45 2008 +0200

    drop radeon, theatre

commit 403cb9e89fc9c82d7f1b21997e7deba6bc0fbcea
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 18:45:21 2008 +0200

    drop radeon, theatre (build system).

commit 68888189cf8d460ef6f8f2f1431a6ffe9fcd8134
Author: Alex Deucher <alex@samba.(none)>
Date:   Wed Feb 27 03:09:28 2008 -0500

    RADEON: fix textured video uploads

commit 7cfad216a3f1486be194c972b9b6bcf070358586
Author: Alex Deucher <alex@samba.(none)>
Date:   Wed Feb 27 02:13:10 2008 -0500

    RADEON: fix clipping for textured video

commit a2dca1d68d751def34ef3c6f836574173737bf76
Author: Alex Deucher <alex@samba.(none)>
Date:   Tue Feb 26 16:38:29 2008 -0500

    RADEON: Convert textured video to use pipelined uploads

commit b4fa1ce9d2da04d94521a82d3c2e95f0fe985ccc
Author: Alex Deucher <alex@samba.(none)>
Date:   Tue Feb 26 14:45:25 2008 -0500

    R300/R500: fix up clipping
    
    Based on patch from Peter Zubaj.

commit 44e527a117ab0a363135ff066c7f7e0c12e3dc89
Author: Alex Deucher <alex@samba.(none)>
Date:   Tue Feb 26 14:33:24 2008 -0500

    R300: fix cordinate clamping in render code
    
    Based on Peter's fix for textured video

commit 00ec17ad53d7ad43f19c9b723794ac1b8ef86826
Author: Peter Zubaj <pzubaj at marticonet.sk>
Date:   Tue Feb 26 14:26:14 2008 -0500

    R300: Fix clamping and pitch for textured video

commit 4207793f9b6c891cb17ba715223d2002668885e3
Author: Alex Deucher <alex@samba.(none)>
Date:   Tue Feb 26 13:16:22 2008 -0500

    R300/R500: set the number graphics pipes properly
    
    This should fix the checkerboard issues on r300/r350 cards.

commit 823d8bf49e4c0a8c839354179942c5a1944c178d
Author: Alex Deucher <alex@samba.(none)>
Date:   Tue Feb 26 12:25:14 2008 -0500

    R300/R500: clean up magic numbers in textured video

commit 8ea75b268f11794f4a7e7bac52cb256490ed3fd2
Author: Dave Airlie <airlied@linux.ie>
Date:   Tue Feb 26 16:29:19 2008 +1000

    regs: fix spelling properly

commit f2816064a6c2c4c35ccba74b9aa80547e25c012e
Author: Dave Airlie <airlied@linux.ie>
Date:   Tue Feb 26 16:28:24 2008 +1000

    regs: fix spelling mistake
    
    pointed out by plaes on irc

commit 9d2ca30b90607085578dde1f314db663bd5f82ec
Author: Alex Deucher <alex@samba.(none)>
Date:   Mon Feb 25 17:34:00 2008 -0500

    R300/R500: clean up magic numbers in render code

commit 153ad6fcf704cbf9f811d9986cd4baf04e82c9d2
Author: Dave Airlie <airlied@linux.ie>
Date:   Mon Feb 25 07:10:48 2008 +1000

    fixup check for EXA composite pointed out by Alan Swanson

commit 85e470e64f629de72e361c77770e2e29998d1bf4
Merge: 27ddb39 1b84c76
Author: Alex Deucher <alex@samba.(none)>
Date:   Sun Feb 24 05:37:22 2008 -0500

    Merge master and fix conflicts
    
    Merge branch 'master' of ssh://agd5f@git.freedesktop.org/git/xorg/driver/xf86-video-ati
    
    Conflicts:
    
            src/radeon_commonfuncs.c

commit 27ddb39b12a0b54e099fd5274c4c91f08e2d2822
Author: Alex Deucher <alex@samba.(none)>
Date:   Sun Feb 24 05:30:11 2008 -0500

    R300: clean up magic numbers in RADEONInit3DEngine

commit d4c20f33ad6a1f88615cd7e09ad3638896873f9e
Author: Alex Deucher <alex@samba.(none)>
Date:   Sun Feb 24 04:46:10 2008 -0500

    R300: replace magic numbers in cache flush

commit e52f1c8d2647b81d891ec0728dd582941a76c83f
Author: Alex Deucher <alex@samba.(none)>
Date:   Sun Feb 24 04:43:18 2008 -0500

    R300: fill in some more 3D bitfields

commit 1b84c76f27c8d24cb42beae26abf000721901c1c
Author: Dave Airlie <airlied@redhat.com>
Date:   Sun Feb 24 19:20:36 2008 +1100

    rs690: initial textured video support

commit 68158124366db883a901e960fe5f05f8df5efa42
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Feb 19 19:51:18 2008 +1100

    rs690: initial rs690 rotate
    
    suffers same problem as r500 with clipping

commit e614bb6965588bf09dcb87f5e08e67120ec9847f
Author: Dave Airlie <airlied@redhat.com>
Date:   Sun Feb 24 01:46:05 2008 -0500

    r500: convert fragprog to use register values

commit 6ce9ee47c75620b2e5d211c5d59d17271a6a7b19
Author: Dave Airlie <airlied@redhat.com>
Date:   Sat Feb 23 22:49:34 2008 -0500

    r500: add textured video Xv adapter support

commit 9aaf8b33b22b6ba112869558ae54e021b9487ad2
Author: Dave Airlie <airlied@redhat.com>
Date:   Sat Feb 23 22:16:25 2008 -0500

    r500: initial rotate support - not fully working yet.
    
    Just an example of how to setup and run the r500 3D engine for rotation.
    this rotates for me but I get some strange clipping on the bottom of my screen

commit 05dc3e4fc19d056ce99a7b110665adab2ca1ea21
Author: Adam Jackson <ajax@redhat.com>
Date:   Sat Feb 23 20:29:51 2008 -0500

    Clarify R500 US setup.

commit 080606ad528972623e1ed1124d8efe7705a73446
Author: Adam Jackson <ajax@redhat.com>
Date:   Sat Feb 23 20:21:17 2008 -0500

    Add the R500 US index/data pair.

commit edfb3b6bbf0ee17ace8e6ba704a6f54e249fec63
Author: Alex Deucher <alex@samba.(none)>
Date:   Sat Feb 23 19:59:33 2008 -0500

    RADEON: no textured video yet on XPRESS chips
    
    Still need to sort out the VAP and PVS stuff

commit 4146bfe5d00e40a86d17826fac50d04b2469621d
Author: Alex Deucher <alex@samba.(none)>
Date:   Sat Feb 23 19:21:52 2008 -0500

    R500: fix typo in new r5xx regs

commit d9be9f34b0d3313e7b22b2a8bb0a8924ad3116bf
Author: Alex Deucher <alex@samba.(none)>
Date:   Sat Feb 23 19:06:30 2008 -0500

    RADEON: add textured video support for r1xx-r4xx radeons
    
    Based on the kdrive ati video code by Eric Anholt.
    R3xx/R4xx still have some clipping issues in certain situations

commit 9dc4acad79196e9d5d94dd710773bfa83456d47f
